=== scribus/plugins/barcodegenerator/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(BARCODEGENERATOR_PLUGIN_UI_SRC
	barcodegenerator.ui
)

set(BARCODEGENERATOR_PLUGIN_MOC_CLASSES
	barcode.h
	barcodegenerator.h
	barcodegeneratorrenderthread.h
)

set(BARCODEGENERATOR_PLUGIN_SOURCES
	barcode.cpp
	barcodegenerator.cpp
	barcodegeneratorrenderthread.cpp
)

set(SCRIBUS_BARCODEGENERATOR_PLUGIN "barcodegenerator")

QT5_WRAP_UI(BARCODEGENERATOR_PLUGIN_UI_SOURCES ${BARCODEGENERATOR_PLUGIN_UI_SRC} )
QT5_WRAP_CPP(BARCODEGENERATOR_PLUGIN_MOC_SOURCES ${BARCODEGENERATOR_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_BARCODEGENERATOR_PLUGIN} MODULE ${BARCODEGENERATOR_PLUGIN_SOURCES} ${BARCODEGENERATOR_PLUGIN_MOC_SOURCES} ${BARCODEGENERATOR_PLUGIN_UI_SOURCES})

target_link_libraries(${SCRIBUS_BARCODEGENERATOR_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_BARCODEGENERATOR_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

install(FILES barcode.ps
	DESTINATION ${SHAREDIR}/plugins
)

add_dependencies(${SCRIBUS_BARCODEGENERATOR_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_BARCODEGENERATOR_PLUGIN} PROPERTIES VERSION "0.0.0")
