=== scribus/plugins/export/pixmapexport/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(SCRIBUS_PIXMAPEXPORT_PLUGIN_UI_SRC
	exportform.ui
)

set(SCRIBUS_PIXMAPEXPORT_PLUGIN_MOC_CLASSES
	dialog.h
	export.h
)

set(SCRIBUS_PIXMAPEXPORT_PLUGIN_SOURCES
	dialog.cpp
	export.cpp
)

set(SCRIBUS_PIXMAPEXPORT_PLUGIN "scribusexportpixmap")

QT5_WRAP_UI(SCRIBUS_PIXMAPEXPORT_PLUGIN_UI_SOURCES ${SCRIBUS_PIXMAPEXPORT_PLUGIN_UI_SRC} )
QT5_WRAP_CPP(SCRIBUS_PIXMAPEXPORT_PLUGIN_MOC_SOURCES ${SCRIBUS_PIXMAPEXPORT_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_PIXMAPEXPORT_PLUGIN} MODULE ${SCRIBUS_PIXMAPEXPORT_PLUGIN_SOURCES} ${SCRIBUS_PIXMAPEXPORT_PLUGIN_MOC_SOURCES} ${SCRIBUS_PIXMAPEXPORT_PLUGIN_UI_SOURCES})

target_link_libraries(${SCRIBUS_PIXMAPEXPORT_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_PIXMAPEXPORT_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(${SCRIBUS_PIXMAPEXPORT_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")
