=== scribus/plugins/export/svgexplugin/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(EXPORTSVG_PLUGIN_MOC_CLASSES
	svgexplugin.h
)

set(EXPORTSVG_PLUGIN_SOURCES
	svgexplugin.cpp
)

set(SCRIBUS_EXPORTSVG_PLUGIN "svgexplugin")

QT5_WRAP_CPP(EXPORTSVG_PLUGIN_MOC_SOURCES ${EXPORTSVG_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_EXPORTSVG_PLUGIN} MODULE ${EXPORTSVG_PLUGIN_SOURCES} ${EXPORTSVG_PLUGIN_MOC_SOURCES})

target_link_libraries(${SCRIBUS_EXPORTSVG_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_EXPORTSVG_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(${SCRIBUS_EXPORTSVG_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")
