=== debian/changelog ===
scribus (1.5.5+dfsg-4~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add alternative B-D for libopenscenegraph-3.4-dev.
  * Disable automatic dbgsym packages.
  * Drop to debhelper 10 compat to workaround dh_dwz FTBFS with debhelper-
    compat 12, and to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 17 Jan 2020 16:12:39 -0800

scribus (1.5.5+dfsg-4) experimental; urgency=low

  * Merge scribus-ng and its whole history into scribus, releasing as stable.
   + NEW MAJOR VERSION 1.5.5.
     - Completely rewritten text layout engine.  Closes: #737983
     - Move to Qt5.  Closes: #875180; LP: #1757865
  * Add a NEWS item regarding the version bump.
  * d/control: Drop hard-coded dependency on python.  Closes: #948430

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 15 Jan 2020 21:13:07 +0100

scribus-ng (1.5.5+dfsg-3) experimental; urgency=medium

  * d/control:
    + Build-Depend on python2-dev instead of python-all, since what we are
      interested in are the header files.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 28 Dec 2019 21:04:57 +0100

scribus-ng (1.5.5+dfsg-2) experimental; urgency=medium

  * d/rules: Stop compressing the TRANSLATION file.
    Bug: https://bugs.scribus.net/view.php?id=14098
  * d/control:
    + Replace build-dependency with unversioned openscenegraph, now that it
      has been updated and it points to a Qt5 version.
    + Bump Standards-Version to 4.4.1, no changes needed.
    + Drop direct dependency on python-tk from the main binary.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 23 Nov 2019 16:49:26 +0100

scribus-ng (1.5.5+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.5+dfsg.
    https://wiki.scribus.net/canvas/1.5.5_Release
  * d/copyright: Update.
  * Drop patches applied upstream.
  * d/control:
    + Bump the debhelper compat level.
    + Bump Standards-Version to 4.4.0, no changes needed.
    + Bump the required cmake version to >= 3.12.0

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Aug 2019 10:32:24 +0200

scribus-ng (1.5.4+dfsg-4) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.
  * d/watch: Use https protocol.

  [ Mattia Rizzolo ]
  * Add patch from upstream trunk to allow finding the new hunspell.
  * Add a bunch of patches from upstream to support poppler up to 0.73.
    Closes: #919119
  * d/control: Bump Standards-Version to 4.3.0, no changes needed.
  * d/copyright: Bump the year for debian/*.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Feb 2019 17:00:21 +0100

scribus-ng (1.5.4+dfsg-3) experimental; urgency=medium

  * Add patch from upstream to fix build with poppler 0.64.
    + This bumps the required poppler version to >= 0.64 to avoid backporting
      another big patch to add compat with older versions.
  * Add patch from upstream to fix build with poppler 0.69.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Nov 2018 10:25:54 +0100

scribus-ng (1.5.4+dfsg-2) experimental; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.2.1, no changes needed.
    + Move to openscenegraph-3.4 (from 3.2).  This way we have a qt5-only
      scribus-ng, as openscenegraph 3.2 uses qt4.
  * d/scribus-ng-data.links: tweak link so to avoid a broken symlink if
    somebody installs scribus-ng-data only.  Closes: #905416

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 21 Sep 2018 09:40:05 +0200

scribus-ng (1.5.4+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.4+dfsg.
    https://wiki.scribus.net/canvas/1.5.4_Release
  * d/upstream/signing-key.asc: Refresh.
  * Remove patches applied upstream.
  * d/control:
    + Bump Standards-Version to 4.1.4, no changes needed.
    + Move Vcs-* to salsa.debian.org.
    + Use HTTPS in the Homepage field.
    + Add new build-dependencies on libqxp-dev and libzmf-dev.
  * d/rules:
    + Use dh_missing instead of the deprecated dh_install --fail-missing.
  * Bump debhelper compat level to 11:
    + Remove --parallel, now default
  * d/scribus-ng.mime: remove: if it's needed I want it upstream first.
  * d/copyright:
    + Use HTTPS in the Source field.
    + Update.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 09 May 2018 00:25:30 +0200

scribus-ng (1.5.3+dfsg-2) experimental; urgency=medium

  * d/control:
    + Add Build-Depends on libpoppler-cpp-dev.
    + Drop Recommends of scribus-ng from scribus-ng-data.
    + Bump Standards-Version to 4.1.2:
      - Change priority from extra (deprecated) to optional.
      -  Use HTTPS in d/copyright's Format field.
    + Declere that scribus-ng can be built without root: R³:no.
  * Add patch from upstream to fix FTBFS with poppler >= 0.58.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Dec 2017 00:56:26 +0100

scribus-ng (1.5.3+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.3+dfsg.  Closes: #863687
    https://wiki.scribus.net/canvas/1.5.3_Release
  * d/copyright:
    + Update list of excluded files.
    + Update copyright/license information.
  * d/patches:
    + Drop patches applied upstream.
    + Refresh patches.
    + findOpenSSL: add to fix build configuration with libpodofo >= 0.9.5.
  * d/control:
    + Add new build-dependency on libharfbuzz-dev.
    + Bump Standards-Version to 4.0.0, no changes needed.
  * d/rules: don't deal with files not shipped anymore.
  * d/scirbus-ng-data.install: don't install a file not shipped anymore.
  * d/upstream/signing-key.asc:
    + Refresh plinnell's key and add the new "Scribus Team" signing key.
  * d/scribus-ng.lintian-overrides: drop now seemingly unneeded overrides.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Jun 2017 21:34:24 +0200

scribus-ng (1.5.2+dfsg-4) experimental; urgency=medium

  * d/copyright: bump the year for debian/*.
  * d/patches:
    + (finally) drop qreal_double patch: scribus-ng builds fine everywhere now.
    + fix_FTBFS_BE: mark as upstreamed.
    + install-icons.patch: new patch from upstream trunk, to install the high
      resolution icons.

