=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 3.12.0),
 debhelper (>= 10.2~),
 dh-exec,
 dh-python,
 extra-cmake-modules,
 gettext,
 libboost-python-dev,
 libcairo2-dev,
 libcdr-dev,
 libcups2-dev,
 libfreehand-dev,
 libgraphicsmagick++1-dev,
 libharfbuzz-dev,
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 liblcms2-dev,
 libmspub-dev,
 libopenscenegraph-dev (>= 3.4) | libopenscenegraph-3.4-dev,
 libpagemaker-dev,
 libpodofo-dev,
 libpoppler-cpp-dev,
 libpoppler-dev (>= 0.64.0),
 libpoppler-private-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libqxp-dev,
 librevenge-dev,
 libtiff-dev,
 libvisio-dev,
 libwpg-dev,
 libxml2-dev,
 libzmf-dev,
 python2-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 zlib1g-dev,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/scribus
Vcs-Git: https://salsa.debian.org/debian/scribus.git
Homepage: https://www.scribus.net

Package: scribus
Architecture: any
Depends:
 ghostscript,
 scribus-data (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 cups-bsd,
 fonts-dejavu,
 fonts-liberation,
 hyphen-hyphenation-patterns,
Recommends:
 icc-profiles-free,
 xfonts-scalable | gsfonts-x11,
Suggests:
 icc-profiles,
 scribus-ng-doc,
 scribus-template,
 texlive-latex-recommended,
Description: Open Source Desktop Page Layout
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends:
 python-tk,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 fonts-dejavu,
Description: Open Source Desktop Page Layout - data files
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 This package contains the architecture-independent files.
